Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.structure
Class PDBHeader

    java.lang.Object
      org.biojava.bio.structure.PDBHeader

All Implemented Interfaces:
  PDBRecord

    public class PDBHeader

extends Object
implements PDBRecord

A class that contains PDB Header information.

Since:
  1.6
Author:
  Andreas Prlic

Field Summary
`static float` | `DEFAULT_RESOLUTION`
`static String` | `newline`

Constructor Summary
`PDBHeader()`

Method Summary
`boolean` | `equals(PDBHeader other)` Compare two PDBHeader objects
`String` | `getClassification()`
`Date` | `getDepDate()`
`String` | `getDescription()`
`Long` | `getId()` Get the ID used by Hibernate.
`String` | `getIdCode()` The PDB code for this protein structure.
`String` | `getMethod()`
`Date` | `getModDate()`
`float` | `getResolution()`
`String` | `getTechnique()`
`String` | `getTitle()`
`void` | `setClassification(String classification)`
`void` | `setDepDate(Date depDate)`
`void` | `setDescription(String description)`
`void` | `setIdCode(String idCode)` The PDB code for this protein structure.
`void` | `setMethod(String method)`
`void` | `setModDate(Date modDate)`
`void` | `setResolution(float resolution)`
`void` | `setTechnique(String technique)`
`void` | `setTitle(String title)`
`String` | `toPDB()` Return a PDB representation of the PDB Header
`void` | `toPDB(StringBuffer buf)` Appends a PDB representation of the PDB header to the provided StringBuffer
`String` | `toString()` String representation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_RESOLUTION

    public static final float DEFAULT_RESOLUTION

See Also:
  Constant Field Values

### newline

    public static final String newline

Constructor Detail

### PDBHeader

    public PDBHeader()

Method Detail

### toString

    public String toString()

  String representation

  Overrides:
    `toString` in class `Object`

### toPDB

    public String toPDB()

  Return a PDB representation of the PDB Header

  Specified by:
    `toPDB` in interface `PDBRecord`
  Returns:
    a PDB file style display

### toPDB

    public void toPDB(StringBuffer buf)

  Appends a PDB representation of the PDB header to the provided StringBuffer

  Specified by:
    `toPDB` in interface `PDBRecord`
  Parameters:
    `buf` -

### getId

    public Long getId()

  Get the ID used by Hibernate.

  Returns:
    the ID used by Hibernate
  See Also:
    `setId(Long)`

### equals

    public boolean equals(PDBHeader other)

  Compare two PDBHeader objects

  Parameters:
    `other` - a PDBHeader object to compare this one to.
  Returns:
    true if they are equal or false if they are not.

### getIdCode

    public String getIdCode()

  The PDB code for this protein structure.

  Returns:
    the PDB identifier
  See Also:
    `setIdCode(String)`

### setIdCode

    public void setIdCode(String idCode)

  The PDB code for this protein structure.

  Parameters:
    `idCode` - the PDB identifier
  See Also:
    `getIdCode()`

### getClassification

    public String getClassification()

### setClassification

    public void setClassification(String classification)

### getDepDate

    public Date getDepDate()

### setDepDate

    public void setDepDate(Date depDate)

### getTechnique

    public String getTechnique()

### setTechnique

    public void setTechnique(String technique)

### getResolution

    public float getResolution()

### setResolution

    public void setResolution(float resolution)

### getModDate

    public Date getModDate()

### setModDate

    public void setModDate(Date modDate)

### getMethod

    public String getMethod()

### setMethod

    public void setMethod(String method)

### getTitle

    public String getTitle()

### setTitle

    public void setTitle(String title)

### getDescription

    public String getDescription()

### setDescription

    public void setDescription(String description)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD